"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var annotationLevels = {
    error: 'failure',
    default: 'notice',
};
var formatLine = function (line) {
    var _a = line.split(':'), file = _a[0], rule = _a[1], message = _a[2];
    var _b = file.split(/\(|\)/).filter(function (f) { return f; }), filePath = _b[0], position = _b[1];
    var _c = position.split(','), startLine = _c[0], startColumn = _c[1];
    var level = rule.trim().split(' ')[0];
    return {
        path: filePath,
        start_line: startLine,
        start_column: startColumn,
        end_line: startLine,
        end_column: startColumn,
        annotation_level: annotationLevels[level] || annotationLevels.default,
        title: rule,
        message: message,
        raw_details: "(" + rule + "): " + message,
    };
};
exports.format = function (data) {
    var annotations = data.split('\n').filter(function (line) { return line.includes(' TS'); }).map(formatLine);
    return {
        title: 'Typings check',
        summary: annotations.length > 0 ? "Found " + annotations.length + " errors" : 'All checks passed',
        annotations: annotations,
    };
};
//# sourceMappingURL=index.js.map